Package org.springframework.security.web.context

# Class HttpRequestResponseHolder

java.lang.Object
org.springframework.security.web.context.HttpRequestResponseHolder

@Deprecated public final class HttpRequestResponseHolder extends Object
Deprecated.
Use `SecurityContextRepository.loadDeferredContext(HttpServletRequest)`
Used to pass the incoming request to `SecurityContextRepository.loadContext(HttpRequestResponseHolder)`, allowing the method to swap the request for a wrapped version, as well as returning the `SecurityContext` value.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`HttpRequestResponseHolder(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.http.HttpServletRequest`
`getRequest()`
Deprecated.
`jakarta.servlet.http.HttpServletResponse`
`getResponse()`
Deprecated.
`void`
`setRequest(jakarta.servlet.http.HttpServletRequest request)`
Deprecated.
`void`
`setResponse(jakarta.servlet.http.HttpServletResponse response)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpRequestResponseHolder

public HttpRequestResponseHolder(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
Deprecated.

## Method Details

### getRequest

public jakarta.servlet.http.HttpServletRequest getRequest()
Deprecated.

### setRequest

public void setRequest(jakarta.servlet.http.HttpServletRequest request)
Deprecated.

### getResponse

public jakarta.servlet.http.HttpServletResponse getResponse()
Deprecated.

### setResponse

public void setResponse(jakarta.servlet.http.HttpServletResponse response)
Deprecated.